import request from '@/utils/request'

// process.env.VUE_APP_BASIC_API
const BASE_API = process.env.VUE_APP_BASIC_API

// 查询企业名称查询责任人
export function queryEnterprise(data) {
  return request({
    url: `${BASE_API}enterprise/corporation/change/queryEnterprise`,
    data
  })
}

// 提交企业责任人变更
export function submitEnterpriseChange(options) {
  return request({
    url: `${BASE_API}enterprise/corporation/change/submit`,
    ...options
  })
}

/**
 * 获取活体认证code
 * @yapi http://10.166.2.23:3000/mock/28/personalRnr/getLivenessCode
 */
export function getLivenessCode(data) {
  return request({
    method: 'get',
    url: `${BASE_API}personalRnr/getLivenessCode`,
    data
  })
}
